toolzerhub API Docs

Search Instagram posts by keyword

Returns public Instagram posts that match keyword. Pass pagination_token from the previous response for the next page; has_more is false on the last page.

2 credits / requestBilled only on success
GET
/v2/instagram/search/posts

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

keyword*string

Search keyword. Include hashtags by prefixing them with #.

Length1 <= length
pagination_token?string

Pass the previous response's pagination_token value.

curl -X GET "https://example.com/v2/instagram/search/posts?keyword=japan" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "items": [      {        "property1": null,        "property2": null      }    ],    "has_more": true,    "pagination_token": "string",    "property1": null,    "property2": null  }}